Package twisted :: Package words :: Module tendril :: Class TendrilWords

[show private | hide private]
[frames | no frames]

## Class TendrilWords

    WordsClient --+
                  |
                 TendrilWords

Method Summary
| ``__init__`(self, service, ircFactory, nickname, networkSuffix, perspectiveName, groupList, errorGroup)` service -- a twisted.words.service.Service, or at least something with a 'serviceName' attribute and 'createParticipant' and 'getPerspectiveNamed' methods which work like a words..Service.
| `attach(self)`
| ``attachToWords`(self)` Get my perspective on the Words service; attach as a client.
| `changeParticipantNick(self, old_nick, new_nick)`
| ``detach`(self)` Pull everyone off Words, sign off, cut the IRC connection.
| `directMessage(self, recipientName, message)`
| ``evacuateGroup`(self, groupName)` Pull all of my Participants out of this group.
| `groupMessage(self, groupName, message)`
| `ircConnectionLost(self)`
| `ircParticipantMsg(self, nick, groupName, message, emote)`
| `ircPartParticipant(self, nick, groupName)`
| ``isThisMine`(self, sender)` Returns true if 'sender' is the name of a perspective I'm providing.
| `joinGroup(self, groupName)`
| `leaveGroup(self, groupName)`
| `logoutParticipant(self, nick)`
| ``memberJoined`(self, member, group)` Tell the IRC Channel when someone joins the Words group.
| ``memberLeft`(self, member, group)` Tell the IRC Channel when someone leaves the Words group.
| ``msgFromWords`(self, toNick, sender, message, metadata)` Deliver a directMessage as a privmsg over IRC.
| `notifyStatusChanged(self, name, status)` (inherited from `WordsClient`)
| `receiveContactList(self, contactList)` (inherited from `WordsClient`)
| `receiveDirectMessage(self, sender, message, metadata)` (inherited from `WordsClient`)
| `receiveGroupMembers(self, names, group)` (inherited from `WordsClient`)
| ``receiveGroupMessage`(self, sender, group, message, metadata)` Pass a message from the Words group on to IRC.
| `setGroupMetadata(self, metadata, name)` (inherited from `WordsClient`)
| `setIrc(self, ircProtocol)`
| `setupBot(self, perspective)`
| `_getClient(self, nick)`
| ``_getParticipant`(self, nick)` Get a Perspective (words.service.Participant) for a IRC user.
| `_newParticipant(self, nick)`

Class Variable Summary
`None` | `irc`
`None` | `ircFactory`
`string` | `networkSuffix`
`string` | `nickname`
`None` | `participants`
`string` | `perspectiveName`

Method Details

### __init__(self, service, ircFactory, nickname=None, networkSuffix=None, perspectiveName=None, groupList=None, errorGroup=None)
(Constructor)

service -- a twisted.words.service.Service, or at least something with a 'serviceName' attribute and 'createParticipant' and 'getPerspectiveNamed' methods which work like a words..Service.

groupList -- a list of strings naming groups on the Words service to join and bridge to their counterparts on the IRC server.

nickname -- a string to use as my nickname on the IRC network.

networkSuffix -- a string to append to the nickname of the Participants I bring in through IRC, e.g. "@opn".

perspectiveName -- the name of my perspective with this service. Defaults to nickname + networkSuffix.

### attachToWords(self)

Get my perspective on the Words service; attach as a client.

### detach(self)

Pull everyone off Words, sign off, cut the IRC connection.

### evacuateGroup(self, groupName)

Pull all of my Participants out of this group.

### isThisMine(self, sender)

Returns true if 'sender' is the name of a perspective I'm providing.

### memberJoined(self, member, group)

Tell the IRC Channel when someone joins the Words group.

### memberLeft(self, member, group)

Tell the IRC Channel when someone leaves the Words group.

### msgFromWords(self, toNick, sender, message, metadata=None)

Deliver a directMessage as a privmsg over IRC.

### receiveGroupMessage(self, sender, group, message, metadata=None)

Pass a message from the Words group on to IRC.

Or, if it's in our errorGroup, recognize some debugging commands.

### _getParticipant(self, nick)

Get a Perspective (words.service.Participant) for a IRC user.

And if I don't have one around, I'll make one.

Class Variable Details

### irc

  Type:
    `None`
  Value:

        None

### ircFactory

  Type:
    `None`
  Value:

        None

### networkSuffix

  Type:
    `string`
  Value:

        '@opn'

### nickname

  Type:
    `string`
  Value:

        'tl'

### participants

  Type:
    `None`
  Value:

        None

### perspectiveName

  Type:
    `string`
  Value:

        'tl@opn'

Generated by Epydoc 1.1 on Sat Feb 15 21:19:35 2003 | http://epydoc.sf.net